.\"
.\" Copyright (c) 1995 Lyndon Nerenberg
.\"
.\" All rights reserved.
.\"
.\" This program is free software.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE DEVELOPERS ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/lkm/ibcs2/ibcs2.8,v 1.2.2.2 1999/09/05 11:20:31 peter Exp $
.\"
.Dd November 27, 1995
.Dt IBCS2 8
.Os FreeBSD-Experimental
.Sh NAME
.Nm ibcs2
.Nd load iBCS2 runtime support for SCO and ISC binaries
.Sh SYNOPSIS
.Nm ibcs2
.Sh DESCRIPTION
The
.Nm
utility loads kernel runtime support for iBCS2 compliant programs.
This runtime support is limited to emulation of the iBCS2
system call interface, and is far from complete. COFF binaries
and shared libraries are supported, however no shared libraries
are provided with the FreeBSD distribution.
.Sh FILES
.Bl -tag -width /usr/share/examples/ibcs2/* -compact
.It Pa /lkm/ibcs2_mod.o
.It Pa /lkm/ibcs2_coff_mod.o
iBCS2 loadable kernel modules.
.Pp
.It Pa /usr/share/examples/ibcs2/*
Sample object files with which to test the emulator.
.Sh "SEE ALSO"
.Xr modload 8 ,
.Xr lkm 4
.Sh BUGS
The emulation is very incomplete.
.Pp
Running dynamically linked binaries requires access to an existing
SCO system from which you can grab the shared libraries.
.Pp
You can't really use this without reading the source code.
